Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category: MVC
Created: 2011-06-06 Assigned To: Robert Lemke
Updated: 2012-05-21 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: FLOW3 1.0.0
Subject: Create unit test for "Original Request must only be set if there is a validation error"
Description

May 18 2011 [+BUGFIX] (MVC): Original Request must only be set if there
is a validation error
Change-Id: Ic2179e21b97da9ad3cd4e5685f85e961c36edc63

In the commit message you write "Then, the "Speaker Profile" of the
conference site is correctly filled out again.". Imagine that in the
changelog / release notes of the FLOW3 distribution – doesn't make a lot
of sense. Also this changeset cries for a unit test because the logic /
motivation behind setting the original request could be explained by
that test and secured at the same time.

History
#1 - 2011-08-04 08:18 - Sebastian Kurfuerst
- Status changed from Accepted to New
- Priority changed from Must have to Should have
- Target version changed from 1.0 beta 1 to 1.0 beta 2

#2 - 2011-09-09 15:17 - Robert Lemke
- Target version changed from 1.0 beta 2 to 1.0.0

#3 - 2011-09-30 12:18 - Robert Lemke

Will you manage to write this test for 1.0?

#4 - 2011-10-20 01:47 - Karsten Dambekalns
- Target version deleted (1.0.0)

#5 - 2011-10-21 13:20 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0

#6 - 2012-03-07 17:13 - Karsten Dambekalns
- Status changed from New to Needs Feedback
- Assigned To changed from Sebastian Kurfuerst to Robert Lemke
- Target version set to 1.1
- Has patch set to No
Robert, is this still a valid issue considering your MVC refactoring? Feel free to close, if not :)

#7 - 2012-05-21 16:47 - Robert Lemke
- Status changed from Needs Feedback to Closed
